summaryrefslogtreecommitdiff
path: root/post-install.d
diff options
context:
space:
mode:
authorJoey Hess <joey@kitenet.net>2014-09-04 15:46:58 -0400
committerJoey Hess <joey@kitenet.net>2014-09-04 15:46:58 -0400
commit5fec4bfafd215d930b3fee0b35d4e8cb3942c8b4 (patch)
tree754c4e5cec6aefae1fb95841c372d71393939265 /post-install.d
parent5db7670623c2551c5cc1f6dc8ce02543b06cf671 (diff)
let's not use debconf to display a possibly minor warning
Diffstat (limited to 'post-install.d')
-rwxr-xr-xpost-install.d/50vcs-commit17
1 files changed, 1 insertions, 16 deletions
diff --git a/post-install.d/50vcs-commit b/post-install.d/50vcs-commit
index edd3444..36f3ee4 100755
--- a/post-install.d/50vcs-commit
+++ b/post-install.d/50vcs-commit
@@ -1,16 +1,6 @@
#!/bin/sh
set -e
-if [ "$1" = "fail-debconf" ]; then
- . /usr/share/debconf/confmodule
- db_title etckeeper
- db_subst etckeeper/commit_failed VCS "$VCS"
- db_input critical etckeeper/commit_failed || true
- db_go || true
- db_reset etckeeper/commit_failed || true
- exit 0
-fi
-
pl="/var/cache/etckeeper/packagelist"
if etckeeper unclean; then
@@ -31,12 +21,7 @@ if etckeeper unclean; then
set -e
if [ "$status" != 0 ]; then
- if [ -e /usr/share/debconf/confmodule ]; then
- $0 fail-debconf
- else
- echo "error: etckeeper failed to commit changes in /etc using $VCS"
- exit 1
- fi
+ echo "warning: etckeeper failed to commit changes in /etc using $VCS" >&2
fi
fi